#!/bin/bash

. ./var.sh
# You should declare ACME_EMAIL/ACME_WEBROOT/ACME_DIRECTORY variables before source
# generateCertificate $host
# generateCertificate rinsvent.ru
generateCertificate () {
  local email=$(getVar ACME_EMAIL)
  local webroot=$(getVar ACME_WEBROOT)
  local directory=$(getVar ACME_DIRECTORY)
  certbot certonly --noninteractive --agree-tos --cert-name "$1" -d "$1" -m "$email" --webroot -w "$webroot"
  cp /etc/letsencrypt/live/"$1"/fullchain.pem "$directory"/"$1".pem
  cp /etc/letsencrypt/live/"$1"/privkey.pem "$directory"/"$1"-key.pem
}